Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class LabelView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.GlyphView
                  |
                  +--javax.swing.text.LabelView

All Implemented Interfaces:
  Cloneable, SwingConstants, TabableView

Direct Known Subclasses:
  InlineView

public class LabelView
extends GlyphView
implements TabableView

A LabelView is a styled chunk of text that represents a view mapped over an element in the text model. It caches the character level attributes used for rendering.

Inner classes inherited from class javax.swing.text.GlyphView
`GlyphView.GlyphPainter`

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`LabelView(Element elem)` Constructs a new view wrapped on an element.

Method Summary
`void` | `changedUpdate(DocumentEvent e, Shape a, ViewFactory f)` Gives notification from the document that attributes were changed in a location that this view is responsible for.
`Color` | `getBackground()` Fetch the background color to use to render the glyphs.
`Font` | `getFont()` Fetch the font that the glyphs should be based upon.
`protected FontMetrics` | `getFontMetrics()` Deprecated. FontMetrics are not used for glyph rendering when running in the Java2 SDK.
`Color` | `getForeground()` Fetch the foreground color to use to render the glyphs.
`boolean` | `isStrikeThrough()` Determine if the glyphs should have a strikethrough line.
`boolean` | `isSubscript()` Determine if the glyphs should be rendered as superscript.
`boolean` | `isSuperscript()` Determine if the glyphs should be rendered as subscript.
`boolean` | `isUnderline()` Determine if the glyphs should be underlined.
`protected void` | `setPropertiesFromAttributes()` Set the cached properties from the attributes.
`protected void` | `setStrikeThrough(boolean s)` Set whether or not the view has a strike/line through it.
`protected void` | `setSubscript(boolean s)` Set whether or not the view represents a subscript.
`protected void` | `setSuperscript(boolean s)` Set whether or not the view represents a superscript.
`protected void` | `setUnderline(boolean u)` Set whether or not the view is underlined.

Methods inherited from class javax.swing.text.GlyphView
`breakView, checkPainter, clone, createFragment, getAlignment, getBreakWeight, getEndOffset, getGlyphPainter, getNextVisualPositionFrom, getPartialSpan, getPreferredSpan, getStartOffset, getTabbedSpan, getTabExpander, getText, insertUpdate, modelToView, paint, removeUpdate, setGlyphPainter, viewToModel`

Methods inherited from class javax.swing.text.View
`append, forwardUpdate, forwardUpdateToView, getAttributes, getChildAllocation, getContainer, getDocument, getElement, getGraphics, getMaximumSpan, getMinimumSpan, getParent, getResizeWeight, getView, getViewCount, getViewFactory, getViewIndex, insert, isVisible, modelToView, modelToView, preferenceChanged, remove, removeAll, replace, setParent, setSize, updateChildren, updateLayout, viewToModel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.text.TabableView
`getPartialSpan, getTabbedSpan`

Constructor Detail

### LabelView

    public LabelView(Element elem)

  Constructs a new view wrapped on an element.
  Parameters:
    `elem` - the element

Method Detail

### setUnderline

    protected void setUnderline(boolean u)

  Set whether or not the view is underlined.

### setStrikeThrough

    protected void setStrikeThrough(boolean s)

  Set whether or not the view has a strike/line through it.

### setSuperscript

    protected void setSuperscript(boolean s)

  Set whether or not the view represents a superscript.

### setSubscript

    protected void setSubscript(boolean s)

  Set whether or not the view represents a subscript.

### setPropertiesFromAttributes

    protected void setPropertiesFromAttributes()

  Set the cached properties from the attributes.

### getFontMetrics

    protected FontMetrics getFontMetrics()

  Deprecated. FontMetrics are not used for glyph rendering when running in the Java2 SDK.

  Fetch the FontMetrics used for this view.

### getBackground

    public Color getBackground()

  Fetch the background color to use to render the glyphs. If there is no background color, null should be returned. This is implemented to return a cached background color.
  Overrides:
    `getBackground` in class `GlyphView`

### getForeground

    public Color getForeground()

  Fetch the foreground color to use to render the glyphs. If there is no foreground color, null should be returned. This is implemented to return a cached foreground color.
  Overrides:
    `getForeground` in class `GlyphView`

### getFont

    public Font getFont()

  Fetch the font that the glyphs should be based upon. This is implemented to return a cached font.
  Overrides:
    `getFont` in class `GlyphView`

### isUnderline

    public boolean isUnderline()

  Determine if the glyphs should be underlined. If true, an underline should be drawn through the baseline.
  Overrides:
    `isUnderline` in class `GlyphView`

### isStrikeThrough

    public boolean isStrikeThrough()

  Determine if the glyphs should have a strikethrough line. If true, a line should be drawn through the center of the glyphs.
  Overrides:
    `isStrikeThrough` in class `GlyphView`

### isSubscript

    public boolean isSubscript()

  Determine if the glyphs should be rendered as superscript.
  Overrides:
    `isSubscript` in class `GlyphView`

### isSuperscript

    public boolean isSuperscript()

  Determine if the glyphs should be rendered as subscript.
  Overrides:
    `isSuperscript` in class `GlyphView`

### changedUpdate

    public void changedUpdate(DocumentEvent e,
                              Shape a,
                              ViewFactory f)

  Gives notification from the document that attributes were changed in a location that this view is responsible for.
  Overrides:
    `changedUpdate` in class `GlyphView`
  Parameters:
    `e` - the change information from the associated document
    `a` - the current allocation of the view
    `f` - the factory to use to rebuild if the view has children
  See Also:
    `View.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.